package jalview.datamodel.xdb.embl;

import java.io.StringReader;

public class EmblTestHelper
{
  // adapted from http://www.ebi.ac.uk/ena/data/view/x53828&display=xml
  private static final String TESTDATA = "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>"
          + "<ROOT>"
          + "<entry accession=\"X53828\" entryVersion=\"3\" lastUpdated=\"2005-04-18\" releaseCreated=\"25\" releaseLastUpdated=\"83\""
          + " version=\"1\" moleculeType=\"mRNA\" topology=\"linear\" sequenceLength=\"1575\">"
          + "<description>Chicken LDH-A mRNA for lactate dehydrogenase A chain (EC 1.1.1.27)</description>"
          + "<keyword>L-lactate dehydrogenase</keyword><keyword>chutney</keyword>"
          + "<xref db=\"EuropePMC\" id=\"PMC1460223\" secondaryId=\"9649548\" />"
          + "<xref db=\"MD5\" id=\"d3b68\" />"
          + "<feature name=\"CDS\" location=\"60..1058\">"
          + "<xref db=\"GOA\" id=\"P00340\" secondaryId=\"2.1\" /><xref db=\"InterPro\" id=\"IPR001236\" />"
          + "<qualifier name=\"note\"><value>L-lactate dehydrogenase A-chain</value><value>pickle</value></qualifier>"
          + "<qualifier name=\"translation\"><value>MSLKDHLIHN</value><evidence>Keith</evidence></qualifier>"
          // emulate EMBL XML 1.2 which splits sequence data every 60 characters
          // see EmblSequence.setSequence
          + "</feature>" + "<sequence>GTG\nACG</sequence></entry></ROOT>";

  static EmblFile getEmblFile()
  {
    return EmblFile.getEmblFile(new StringReader(TESTDATA));
  }
}
